[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TControlScrollBar.Create

Create - constructor for TControlScrollBar: performs inherited Create then initialises local flags for page, increment, position etc

## Declaration

Source position: forms.pp line 135

`public constructor TControlScrollBar.Create(`
`AControl: TWinControl;`
`AKind: TScrollBarKind`
`);`

## Arguments

`AControl` |  | The identity of the windowed control in which the scroll bar is found
`AKind` |  | Whether this is a horizontal or a vertical scrollbar

## See also

TObject.Create

The latest version of this document can be found at lazarus-ccr.sourceforge.net .